std::chrono::tzdb_list::const_iterator Class Reference

`#include <chrono>`

## Public Types

using | difference_type
using | iterator_category
using | pointer
using | reference
using | value_type

## Public Member Functions

| const_iterator (const const_iterator &)=default
| const_iterator (const_iterator &&)=default
reference | operator* () const noexcept
const_iterator & | operator++ ()
const_iterator | operator++ (int)
pointer | operator-> () const noexcept
const_iterator & | operator= (const const_iterator &)=default
const_iterator & | operator= (const_iterator &&)=default
bool | operator== (const const_iterator &) const noexcept=default

## Friends

class | tzdb_list

## Detailed Description

An iterator into the tzdb_list

As a extension, in libstdc++ each tzdb is reference-counted and the const_iterator type shares ownership of the object it refers to. This ensures that a tzdb erased from the list will not be destroyed while there is an iterator that refers to it.

Definition at line 2757 of file chrono.

## Member Typedef Documentation

## difference_type

using std::chrono::tzdb_list::const_iterator::difference_type

Definition at line 2763 of file chrono.

## iterator_category

using std::chrono::tzdb_list::const_iterator::iterator_category

Definition at line 2764 of file chrono.

## pointer

using std::chrono::tzdb_list::const_iterator::pointer

Definition at line 2762 of file chrono.

## reference

using std::chrono::tzdb_list::const_iterator::reference

Definition at line 2761 of file chrono.

## value_type

using std::chrono::tzdb_list::const_iterator::value_type

Definition at line 2760 of file chrono.

## Member Function Documentation

## operator->()

pointer std::chrono::tzdb_list::const_iterator::operator-> | ( |  | ) | const

inline noexcept

Definition at line 2773 of file chrono.

## Friends And Related Symbol Documentation

## tzdb_list

friend class tzdb_list

friend

Definition at line 2782 of file chrono.

The documentation for this class was generated from the following file:

- chrono